def lunar_arithmetic(a, b):
    a_str = str(a)
    b_str = str(b)
    length = max(len(a_str), len(b_str))
    a_str = a_str.zfill(length)
    b_str = b_str.zfill(length)

    lunar_sum = []
    lunar_product = []
    for digit_a, digit_b in zip(a_str, b_str):
        lunar_sum.append(str(max(int(digit_a), int(digit_b))))
        lunar_product.append(str(min(int(digit_a), int(digit_b))))

    result_sum = ''.join(lunar_sum)
    result_product = ''.join(lunar_product)

    return result_sum, result_product
a = input().strip()
b = input().strip()
result_sum, result_product = lunar_arithmetic(a, b)
print(result_sum)
print(result_product)

